Bug 728158 - Review Request: jboss-vfs - JBoss Virtual File System
Summary: Review Request: jboss-vfs - JBoss Virtual File System
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Radej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 726351
Blocks: 728202
TreeView+ depends on / blocked
 
Reported: 2011-08-04 08:47 UTC by Marek Goldmann
Modified: 2011-10-10 14:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-10 14:58:54 UTC
tradej: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
A script to find and output location of *.class files within jar files (136 bytes, application/x-shellscript)
2011-10-04 14:59 UTC, Tomas Radej
no flags Details

Description Marek Goldmann 2011-08-04 08:47:31 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/jboss-vfs/1/jboss-vfs.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jboss-vfs/1/jboss-vfs-3.0.1-1.fc15.src.rpm
Description: This package contains the JBoss Virtual File System.

$ rpmlint ./jboss-vfs.spec 
./jboss-vfs.spec: W: invalid-url Source0: jboss-vfs-3.0.1.GA.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint jboss-vfs-3.0.1-1.fc15.src.rpm 
jboss-vfs.src: I: enchant-dictionary-not-found en_US
jboss-vfs.src: W: invalid-url Source0: jboss-vfs-3.0.1.GA.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 1 Tomas Radej 2011-09-26 11:02:49 UTC
Taking this one.

Comment 2 Tomas Radej 2011-09-27 11:25:25 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output: jboss-vfs.noarch: W: no-documentation
jboss-vfs.src: W: invalid-url Source0: jboss-vfs-3.0.1.GA.tar.xz
jboss-vfs-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[!]  Package meets the Packaging Guidelines[2]. << See Issues
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[!]  Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging
Guidelines[3,4]. << See Issues
[x]  License field in the package spec file matches the actual license.
License type: LGPLv2+
[-]  If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided
in the spec URL.
[x]  All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with
good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT
mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI
application.
[x]  Package does not own files or directories owned by other packages.
[!]  Javadoc documentation files are generated and included in -javadoc
subpackage << Folder copied in %doc is apidocs, should be apidocs/*
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that
tarball (svn export URL, git clone URL, ...)
[!]  If source tarball includes bundled jar/class files these need to be
removed prior to building << JAR files present in src/test/resources
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when
building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of
%{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a
comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why
it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on
jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.

*** ISSUES ***

- The JAR file zipeinit.jar in src/test/resources/vfs/test contains
  software from Microsoft, whose licensing terms are incompatible with
  Fedora Licensing Guidelines, therefore this JAR may not be included
  even in the source package of the software. Please repack, preferably
  with all JARs removed.

- JAR files are present in src/test/resources

- Folder copied in javadoc's %doc is apidocs, should be apidocs/*


*** NOTES ***

- not sure if the empty %doc macro is necessary

Comment 3 Marek Goldmann 2011-10-02 09:45:51 UTC
Tomas,

I removed the zipeinit.jar file and created a bug report upstream: https://issues.jboss.org/browse/AS7-1988

The jar files in src/test/resources are simple packages without any binary files required to tests. Tests are disabled for now, but possibly will be enabled in the future.

Spec URL:
http://goldmann.fedorapeople.org/package_review/jboss-vfs/2/jboss-vfs.spec
SRPM URL:
http://goldmann.fedorapeople.org/package_review/jboss-vfs/2/jboss-vfs-3.0.1-2.fc17.src.rpm

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3396463

Comment 4 Tomas Radej 2011-10-04 14:59:45 UTC
Created attachment 526261 [details]
A script to find and output location of *.class files within jar files

Marek, I have two issues

1) You probably packaged the wrong file, this source still contains zipeinit.jar

2) Running the attached script in the source folder gives me quite a lot of *.class files, of which some seem to contain binary data. I am not really sure if this can go in. If you insist on keeping the jar files, I will ask FE-legal about this.

Comment 5 Marek Goldmann 2011-10-07 10:57:43 UTC
Tomas,

I created another bug report to clean up the testing jars here: https://issues.jboss.org/browse/AS7-2035. I'm blocking FE-Legal for this bug.

Hopefully I have now the proper source file :)

Spec URL:
http://goldmann.fedorapeople.org/package_review/jboss-vfs/3/jboss-vfs.spec
SRPM URL:
http://goldmann.fedorapeople.org/package_review/jboss-vfs/3/jboss-vfs-3.0.1-3.fc17.src.rpm

Comment 6 Tom "spot" Callaway 2011-10-07 15:11:27 UTC
The jar files are all just empty or pseudo-empty dummy jars. I don't think they would be useful in the package, but if they are somehow, they're still legally acceptable. Lifting FE-Legal.

Comment 7 Tomas Radej 2011-10-10 08:37:18 UTC
Okay, if you say so, the package's good to go.

*** APPROVED ***

Comment 8 Marek Goldmann 2011-10-10 10:50:30 UTC
Thanks for review!

New Package SCM Request
=======================
Package Name:      jboss-vfs
Short Description: JBoss Virtual File System
Owners:            goldmann

Comment 9 Gwyn Ciesla 2011-10-10 12:46:11 UTC
Git done (by process-git-requests).

Comment 10 Marek Goldmann 2011-10-10 14:58:54 UTC
Thanks for git, closing.


Note You need to log in before you can comment on or make changes to this bug.